Past Range
/v4/electricity-mix/past-rangeGet the electricity mix for a zone and a given datetime range.
5_minutes, 4 days for 15_minutes, 10 days for hourly, 365 days for daily, and 30 years for monthly, quarterly and yearly.
If you need more data, you can loop over time ranges.
Query Parameters
The start datetime to get the data for.
The end datetime to get the data for.
An Electricity Maps zone key.
The temporal granularity of the data to get.
Latitude of the location to get the data for.
Longitude of the location to get the data for.
If false, estimated data points are excluded. Equivalent to disableEstimations=true.
Breakdown method of the electricity mix. normal breaks the mix down by the zone's own generation modes, with imports and exports reported as flows. flow-traced attributes imported electricity to the generation modes that produced it.
Deprecated alias of breakdownType. false is the same as breakdownType=normal; true has no effect. Ignored when breakdownType is given.
If true, the fallback IP-based zone lookup will not be performed.
If true, the response will exclude estimated data points
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v4/electricity-mix/past-range?start=2024-05-19T03%3A00%3A00Z&end=2024-05-19T08%3A00%3A00Z"{ "zone": "DK-DK2", "temporalGranularity": "hourly", "unit": "MW", "data": [ { "datetime": "2024-05-19T03:00:00.000Z", "updatedAt": "2025-07-25T12:32:42.039Z", "breakdownType": "flow-traced", "mix": { "nuclear": 0, "geothermal": 0, "biomass": 0, "coal": 0, "wind": 0, "solar": 0, "hydro": 0, "gas": 0, "oil": 0, "unknown": 0, "hydro storage": { "charge": 0, "discharge": 0 }, "battery storage": { "charge": 0, "discharge": 0 }, "flows": { "imports": 0, "exports": 0 } }, "isEstimated": false, "estimationMethod": "string" } ]}Playground
/v4/electricity-mix/past-range